For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
  • Service Management
    • Overview
    • Concierge & Ticketing Capabilities Overview
    • Forms
    • Forms - Integration Specific Guides
    • Live Agent Chat / Handoff
    • Triage
    • Approval Mirroring
    • Ticket Interception
    • Generic Ticketing Integration: Ticket Gateway
  • Administration
    • MyMoveworks
    • Organization Information
    • Roles and Permissions
    • MyMoveworks SSO
  • Moveworks Setup
    • Accessing Moveworks Setup
    • First-Time Login via Magic Link
    • Moveworks Setup Modules
    • Moveworks Setup: Module How To Guides
    • Plugin Management
    • Monitor Alerts
    • Audit Logs
    • DSL Fields Defaults
    • Data Crawling View
    • API Playground
    • Setup Homepage
    • Troubleshooting Hub
    • Security and Privacy Settings
    • Configuration Delete
    • Advanced Config Editor
    • Identity configuration
    • Onboarding Stage
  • Security
    • Security
    • Hyperlink & Button Expiry
    • Attachment Handling
    • Moveworks Subprocessors
  • Provision Management
    • Overview
    • Access Software
    • Access Groups
    • Access Account
  • Access Requirements
    • Overview
    • Update Set Modules
    • Ticketing Systems & ITSMs Access
    • Identity and Access Management Systems Access
    • Multi-Factor Authentication (MFA) Systems Access
    • Knowledge Access Requirements
      • ServiceNow (KB Only) Access Requirements
      • SharePoint Online Access Requirements
      • SharePoint (On-Prem) Access Requirements
      • Confluence Cloud Access Requirements
      • Confluence Server / Data Center Access Requirements
      • Google Drive Access Requirements
      • Notion Access Requirements
      • Guru Access Requirements
      • Salesforce Knowledge Access Requirements
      • Simpplr Access Requirements
      • LumApps Access Requirements
      • Unily Access Setup Guide
      • Jive Access Requirements
      • Interact Access Requirements
      • Igloo Access Requirements
      • Haystack Access Requirements
      • GitHub Knowledge Access Requirements
      • Dropbox Content Access Requirements
      • Contentful Access Requirements
      • Quip Access Requirements
      • Slite Access Requirements
      • ScreenSteps Access Requirements
      • RightAnswers Access Requirements
      • SAP Build Work Zone Access Requirements
      • StaffBase Access Requirements
      • Squiz KB Access Requirements
      • WordPress Access Requirements
      • Workday Access Requirements (Knowledge)
      • Axero Access Requirements
      • Comaround Access Requirements
    • Email Distribution List Systems Access
    • Facilities Management Access
    • Live Agent Chat Access
    • HR Information System Access
    • Expense Management Access
    • Calendar Management Access
  • Core Platform
    • User Identity
    • Moveworks On-Prem Agent
    • Approvals Engine
    • Entity Catalog
    • Configuration Languages
    • Moveworks Data Objects
    • SIEM
  • Employee Experience Insights
    • Overview
    • Breaking Down the Dashboard
    • Understanding Industry Benchmarks
    • Apps & Services
    • Impact Module
    • EXI Common Use Cases
    • Configure EXI
    • Ticket Backpolling
  • Knowledge Studio
    • Overview
    • Knowledge Studio Configuration
    • AI Powered Recommendations
    • Inspecting & Verifying Sources
    • Publishing Articles
    • Creating Knowledge Articles
    • Resolving IT Tickets Guidance
DeveloperAcademyCommunityStatus
On this page
  • Why do we need access to your LumApps instance?
  • Setup
  • Create a service account
  • Create an OAuth application
  • Option 1: Using the OAuth Application Manager Extension
  • Option 2: Using the LumApps API
  • Provide the following to Moveworks
Access RequirementsKnowledge Access Requirements

LumApps Access Requirements

||View as Markdown|
Was this page helpful?
Edit this page
Previous

Unily Access Setup Guide

Next
Built with

Why do we need access to your LumApps instance?

Our knowledge fetcher gets the content stored in your LumApps instance utilizing the available APIs and performs the “snippetization” process to cache relevant article data with relevant tags.

Setup

In order to get secure access to your instance using the available APIs, follow the authentication method that is used by LumApps as detailed below:

Create a service account

To authenticate with LumApps we use the service account created within your instance. Please create a service account and copy the User ID.

Create an OAuth application

There are two ways to create an OAuth application: the OAuth application manager extension or the LumApps API.

Option 1: Using the OAuth Application Manager Extension

This extension can be installed from the extensions library. You can find the documentation on how to use the extension on the LumApps documentation site and create an OAuth Application.

Option 2: Using the LumApps API

  1. Retrieve your platform token. To retrieve your token to create the application, you must follow these steps:

    1. Go to LumApps and authenticate with a global administrator account.
    2. Open the javascript console of your browser within your platform and run the following script:
      fetch(window.location.origin+"/service/user/token", {method: "POST"})
      .then(data=>{return data.json()})
      .then(res => {console.log(res.token)});
      This will return platform token which will be used in the step below. Copy the returned value.
  2. Create the application. To create the application, you must run the following cURL command using an endpoint with the body provided below:
    The URL’s host for this endpoint must be your instance’s Haussmann Cell. This information can be found in the debug dialog (CTRL + ? or CTRL + SHIFT + ?).

    Endpoint:
    POST /v2/organizations/{organizationId}/applications
    Body:
    {
    "name": "<Application Name>",
    "scopes": []
    }
    Example:
    curl --location '{{haussmann_cell}}/v2/organizations/{{organizationId}}/applications' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer {{lumapps_platform_token}}' \
    --data '{
    "name": "Moveworks",
    "scopes": [
    "default"
    ]
    }'
    • scopes - can be empty since they are not implemented for now.
    • lumapps_platform_token - is the token that you retrieved in the previous step

    This endpoint returns the application ID and the client secret. Both are necessary to retrieve a LumApps token.
    The client_secret of your application will be returned only once for security reasons. Store it somewhere safe!

Provide the following to Moveworks

Provide all of the information listed below to the Moveworks Customer Success team via an encrypted email.

  • Organization ID (May be called Customer ID in LumApps)
  • Application ID
  • Application Secret
  • Authorized User ID
  • Haussmann Cell URL
    • Should be the base URL taken from {{haussman_cell}} above and appending \_ah/api/lumsites/v1/content/list.
    • e.g. https://go-cell-001.api.lumapps.com/_ah/api/lumsites/v1/content/list.